# Web Cloud › Domains API

> Part of the OVHcloud developer hub. Index of every page and section: https://developers.eu.ovhcloud.com/llms.txt
> The Web Cloud product's sections: https://developers.eu.ovhcloud.com/reference/web-cloud/llms.txt
> Everything in one file: https://developers.eu.ovhcloud.com/llms-full.txt

> 79 operations of the OVHcloud API. Calls carry `authorization: Bearer $OVH_TOKEN`; the EU host is shown, Canada and the United States answer on api.ca.ovhcloud.com and api.us.ovhcloud.com.

Page: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/

OpenAPI v1: https://api.eu.ovhcloud.com/1.0/__schemas/developer-hub-navigation/web-cloud/domains.json?format=openapi3
OpenAPI v2: https://api.eu.ovhcloud.com/v2/__schemas/developer-hub-navigation/web-cloud/domains.json?format=openapi3

## Operations

- `GET /domain/name` — List all domain name resources
- `GET /domain/name/{domainName}` — Get a domain name resource
- `PUT /domain/name/{domainName}` — Update an existing domain name by modifying various configurations through the targetSpec
- `GET /domain` — Get the list of managed domain names
- `GET /domain/{serviceName}` — Get domain name information
- `PUT /domain/{serviceName}` — Edit domain name properties
- `GET /domain/{serviceName}/serviceInfos` — Get service information
- `PUT /domain/{serviceName}/serviceInfos` — Update service information
- `GET /domain/{serviceName}/nameServer` — List of current name servers
- `GET /domain/{serviceName}/nameServer/{id}` — Get this name server configuration
- `POST /domain/{serviceName}/nameServer` — Add new name server
- `DELETE /domain/{serviceName}/nameServer/{id}` — Delete a name server
- `GET /domain/{serviceName}/nameServer/{id}/status` — Get name server status
- `POST /domain/{serviceName}/nameServers/update` — Update DNS servers
- `GET /domain/{serviceName}/dsRecord` — List of domain's DS Records
- `GET /domain/{serviceName}/dsRecord/{id}` — Get details on this DS Record
- `POST /domain/{serviceName}/dsRecord` — Update DS records
- `GET /domain/{serviceName}/glueRecord` — List of glue records
- `GET /domain/{serviceName}/glueRecord/{host}` — Get this glue record
- `POST /domain/{serviceName}/glueRecord` — Create a glue record
- `DELETE /domain/{serviceName}/glueRecord/{host}` — Delete the glue record
- `POST /domain/{serviceName}/glueRecord/{host}/update` — Update the glue record
- `GET /domain/{serviceName}/option` — List domain options
- `GET /domain/{serviceName}/option/{option}` — Get details on this domain option
- `DELETE /domain/{serviceName}/option/{option}` — Remove a given option
- `GET /domain/{serviceName}/options` — Retrieve data about the options associated to a domain
- `GET /allDom` — List available services
- `GET /allDom/{serviceName}` — Void
- `GET /domain/zone` — List available services
- `GET /domain/zone/{zoneName}` — Get this object properties
- `GET /domain/zone/{zoneName}/capabilities` — Zone capabilities
- `POST /domain/zone/{zoneName}/changeContact` — Change service contacts
- `POST /domain/zone/{zoneName}/confirmTermination` — Confirm service termination
- `GET /domain/zone/{zoneName}/dnssec` — Get this object properties
- `POST /domain/zone/{zoneName}/dnssec` — Enable Dnssec
- `DELETE /domain/zone/{zoneName}/dnssec` — Disable Dnssec
- `GET /domain/zone/{zoneName}/dynHost/login` — DynHost' logins
- `POST /domain/zone/{zoneName}/dynHost/login` — Create a new DynHost login
- `GET /domain/zone/{zoneName}/dynHost/login/{login}` — Get this object properties
- `PUT /domain/zone/{zoneName}/dynHost/login/{login}` — Alter this object properties
- `DELETE /domain/zone/{zoneName}/dynHost/login/{login}` — Delete a DynHost login
- `POST /domain/zone/{zoneName}/dynHost/login/{login}/changePassword` — Change password of the DynHost login
- `GET /domain/zone/{zoneName}/dynHost/record` — DynHost' records
- `POST /domain/zone/{zoneName}/dynHost/record` — Create a new DynHost record (Don't forget to refresh the zone)
- `GET /domain/zone/{zoneName}/dynHost/record/{id}` — Get this object properties
- `PUT /domain/zone/{zoneName}/dynHost/record/{id}` — Alter this object properties
- `DELETE /domain/zone/{zoneName}/dynHost/record/{id}` — Delete a DynHost record (Don't forget to refresh the zone)
- `GET /domain/zone/{zoneName}/export` — Export zone
- `GET /domain/zone/{zoneName}/history` — Zone restore points
- `GET /domain/zone/{zoneName}/history/{creationDate}` — Get this object properties
- `POST /domain/zone/{zoneName}/history/{creationDate}/restore` — Restore the DNS zone
- `POST /domain/zone/{zoneName}/import` — Import zone
- `GET /domain/zone/{zoneName}/option` — List zone options
- `GET /domain/zone/{zoneName}/option/{name}` — Get this object properties
- `GET /domain/zone/{zoneName}/option/{name}/serviceInfos` — Get this object properties
- `PUT /domain/zone/{zoneName}/option/{name}/serviceInfos` — Alter this object properties
- `GET /domain/zone/{zoneName}/record` — Records of the zone
- `POST /domain/zone/{zoneName}/record` — Create a new DNS record (Don't forget to refresh the zone)
- `GET /domain/zone/{zoneName}/record/{id}` — Get this object properties
- `PUT /domain/zone/{zoneName}/record/{id}` — Alter this object properties
- `DELETE /domain/zone/{zoneName}/record/{id}` — Delete a DNS record (Don't forget to refresh the zone)
- `GET /domain/zone/{zoneName}/redirection` — Redirections
- `POST /domain/zone/{zoneName}/redirection` — Create a new redirection (Don't forget to refresh the zone)
- `GET /domain/zone/{zoneName}/redirection/{id}` — Get this object properties
- `PUT /domain/zone/{zoneName}/redirection/{id}` — Alter this object properties
- `DELETE /domain/zone/{zoneName}/redirection/{id}` — Delete a redirection (Don't forget to refresh the zone)
- `POST /domain/zone/{zoneName}/refresh` — Apply zone modification on DNS servers
- `POST /domain/zone/{zoneName}/reset` — Reset the DNS zone
- `GET /domain/zone/{zoneName}/serviceInfos` — Get service information
- `PUT /domain/zone/{zoneName}/serviceInfos` — Update service information
- `GET /domain/zone/{zoneName}/soa` — Get this object properties
- `PUT /domain/zone/{zoneName}/soa` — Alter this object properties
- `GET /domain/zone/{zoneName}/status` — Zone status
- `GET /domain/zone/{zoneName}/task` — Domain pending tasks
- `GET /domain/zone/{zoneName}/task/{id}` — Get this object properties
- `POST /domain/zone/{zoneName}/task/{id}/accelerate` — Accelerate the task
- `POST /domain/zone/{zoneName}/task/{id}/cancel` — Cancel the task
- `POST /domain/zone/{zoneName}/task/{id}/relaunch` — Relaunch the task
- `POST /domain/zone/{zoneName}/terminate` — Request service termination

## List all domain name resources

`GET /v2/domain/name`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/#get-domain-name

**Status:** Beta version  
**IAM actions:** `domain:apiovh:name/get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Pagination-Cursor` | header | string |  | Pagination cursor |
| `X-Pagination-Size` | header | integer |  | Pagination size |
| `additionalStates` | query | domain.resource.currentState.AdditionalStatesEnum[] |  | Filter the results having all these additional states |
| `contactAdministrator` | query | string[] |  | Filter the results by administrator contact id |
| `contactBilling` | query | string[] |  | Filter the results by billing contact id |
| `contactOwner` | query | string[] |  | Filter the results by owner contact id |
| `contactTechnical` | query | string[] |  | Filter the results by technical contact id |
| `iamTags` | query | object |  | Filter resources on IAM tags |
| `mainState` | query | domain.resource.currentState.MainStateEnum[] |  | Filter the results having all these main states |
| `searchValue` | query | string |  | Filter the results with the search value on resource id |
| `suspensionState` | query | domain.resource.currentState.SuspensionStateEnum[] |  | Filter the results having all these suspension states |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | domain.DomainWithIAM[] | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `checksum` | string |  | Computed hash used to control concurrent modification requests. Here, it represents the current target specification value. |
| `currentState` | domain.DomainCurrentState | read-only | Current state of the domain name |
| `currentState.additionalStates` | domain.resource.currentState.AdditionalStatesEnum[] | read-only | Additional states of your domain |
| `currentState.authInfoManagedByOVHcloud` | boolean | read-only | Whether OVHcloud manages your authinfo |
| `currentState.authInfoSupported` | boolean | read-only | Whether the registry uses authinfo to secure your domain name |
| `currentState.contactsConfiguration` | domain.resource.currentState.ContactsConfiguration | read-only | Configuration of your domain contacts |
| `currentState.contactsConfiguration.contactAdministrator` | domain.resource.currentState.contactsConfiguration.ContactConfiguration | read-only | The configuration of the administrator contact |
| `currentState.contactsConfiguration.contactBilling` | domain.resource.currentState.contactsConfiguration.ContactConfiguration | read-only | The configuration of the billing contact |
| `currentState.contactsConfiguration.contactOwner` | domain.resource.currentState.contactsConfiguration.ContactConfiguration | read-only | The configuration of the owner contact |
| `currentState.contactsConfiguration.contactTechnical` | domain.resource.currentState.contactsConfiguration.ContactConfiguration | read-only | The configuration of the technical contact |
| `currentState.createdAt` | string (date-time) | read-only | Date when your domain name was created |
| `currentState.designatedAgentAllowed` | boolean | read-only | Whether a Designated Agent may validate the trade operations (change of holder) for this domain |
| `currentState.dnsConfiguration` | domain.resource.currentState.DnsConfiguration | read-only | DNS configuration of your domain |
| `currentState.dnsConfiguration.configurationType` | domain.resource.currentState.dnsConfiguration.NameServerTypeEnum | read-only | Specifies the DNS configuration type for your domain — one of `ANYCAST`, `DEDICATED`, `EMPTY`, `EXTERNAL`, `HOLD`, `HOSTING`, `MIXED`, `PARKING` |
| `currentState.dnsConfiguration.dnssecSupported` | boolean | read-only | Deprecated. Use `dnssecSupported` from dnssecConfiguration node instead. |
| `currentState.dnsConfiguration.glueRecordIPv6Supported` | boolean | read-only | Deprecated. Use `ipv6Supported` from hostsConfiguration instead. |
| `currentState.dnsConfiguration.hostSupported` | boolean | read-only | Deprecated. Use `hostSupported` from hostsConfiguration instead. |
| `currentState.dnsConfiguration.maxDNS` | integer | read-only | Specifies the maximum number of name servers allowed by the registry |
| `currentState.dnsConfiguration.minDNS` | integer | read-only | Specifies the minimum number of name servers allowed by the registry |
| `currentState.dnsConfiguration.multipleIPsSupported` | boolean | read-only | Whether the registry accepts more than one address on a name server, IPv4 and IPv6 counted together: one of each already counts as several |
| `currentState.dnsConfiguration.nameServers` | domain.resource.currentState.dnsConfiguration.NameServer[] | read-only | Lists the name servers used by your domain |
| `currentState.dnssecConfiguration` | domain.resource.currentState.DnssecConfiguration | read-only | DNSSEC configuration of your domain |
| `currentState.dnssecConfiguration.dnssecSupported` | boolean | read-only | Whether the registry supports DNSSEC |
| `currentState.dnssecConfiguration.dsData` | domain.resource.currentState.dnssecConfiguration.DsData[] | read-only | Contains the registered DS data for your domain name |
| `currentState.dnssecConfiguration.supportedAlgorithms` | domain.resource.currentState.dnssecConfiguration.SupportedAlgorithm[] | read-only | Specifies all cryptographic algorithms that you can use to define DS data |
| `currentState.extension` | string | read-only | Extension of your domain name |
| `currentState.hostsConfiguration` | domain.resource.currentState.HostsConfiguration | read-only | Host configuration of your domain |
| `currentState.hostsConfiguration.hostSupported` | boolean | read-only | Whether the registry supports host management |
| `currentState.hostsConfiguration.hosts` | domain.resource.currentState.hostsConfiguration.Host[] | read-only | Contains the registered host configuration |
| `currentState.hostsConfiguration.ipv4Supported` | boolean | read-only | Whether the registry supports IPv4 |
| `currentState.hostsConfiguration.ipv6Supported` | boolean | read-only | Whether the registry supports IPv6 |
| `currentState.hostsConfiguration.multipleIPsSupported` | boolean | read-only | Whether the registry supports multiple IPs |
| `currentState.mainState` | domain.resource.currentState.MainStateEnum | read-only | Main state of your domain — one of `DELETED`, `EXPIRED`, `OK`, `PENDING_CREATE`, `PENDING_DELETE`, `PENDING_INTERNAL_TRANSFER`, `PENDING_OUTGOING_TRANSFER`, `RESTORABLE`, `TO_DELETE` |
| `currentState.name` | string | read-only | Your domain name |
| `currentState.protectionState` | domain.resource.ProtectionStateEnum | read-only | Protection state of your domain — one of `PROTECTED`, `UNPROTECTED` |
| `currentState.suspensionState` | domain.resource.currentState.SuspensionStateEnum | read-only | Suspension state of your domain — one of `NOT_SUSPENDED`, `SUSPENDED` |
| `currentState.transferAuthorizationMethod` | domain.resource.currentState.TransferAuthorizationMethodEnum | read-only | Method used to authorize domain transfer — one of `ASK_OVHCLOUD_SUPPORT`, `AUTH_CODE`, `NONE`, `TRANSFER_TAG` |
| `currentTasks` | common.CurrentTask[] | read-only | Ongoing asynchronous tasks related to the domain name resource |
| `currentTasks[].errors` | common.TaskError[] | read-only | Errors that occurred on the task |
| `currentTasks[].errors[].message` | string | read-only | Error description |
| `currentTasks[].id` | string (uuid) | read-only | Identifier of the current task |
| `currentTasks[].link` | string | read-only | Link to the task details |
| `currentTasks[].status` | common.CurrentTaskStatusEnum | read-only | Current global status of the current task — one of `ERROR`, `PENDING`, `RUNNING`, `SCHEDULED`, `WAITING_USER_INPUT` |
| `currentTasks[].type` | string | read-only | Type of the current task |
| `iam` | iam.ResourceMetadata | read-only | IAM resource metadata |
| `iam.displayName` | string | read-only | Resource display name |
| `iam.id` | string (uuid) | read-only | Unique identifier of the resource |
| `iam.state` | iam.ResourceMetadata.StateEnum | read-only | Resource state — one of `EXPIRED`, `IN_CREATION`, `OK`, `SUSPENDED` |
| `iam.tags` | object | read-only | Resource tags. Tags that were internally computed are prefixed with ovh: |
| `iam.urn` | string | read-only | Unique resource name used in policies |
| `id` | string | read-only | Unique identifier of the resource. Here, the domain name itself is used as an identifier. |
| `resourceStatus` | common.ResourceStatusEnum | read-only | Reflects the readiness of the domain name resource. A new target specification request will be accepted only in `READY`, `UPDATING` or `ERROR` status. — one of `CREATING`, `CREATION_PLANNED`, `DELETING`, `ERROR`, `OUT_OF_SYNC`, `READY`, `SUSPENDED`, `UNKNOWN`, `UPDATING` |
| `targetSpec` | domain.DomainTargetSpec | yes | Latest target specification of the domain name resource |
| `targetSpec.contactsConfiguration` | domain.resource.targetSpec.ContactsConfiguration |  | Provides the configuration for your domain contacts |
| `targetSpec.contactsConfiguration.contactAdministrator` | domain.resource.targetSpec.contactsConfiguration.ContactConfiguration |  | Indicates the configuration of the administrator contact |
| `targetSpec.contactsConfiguration.contactBilling` | domain.resource.targetSpec.contactsConfiguration.ContactConfiguration |  | Indicates the configuration of the billing contact |
| `targetSpec.contactsConfiguration.contactOwner` | domain.resource.targetSpec.contactsConfiguration.OwnerConfiguration |  | Indicates the configuration of the owner contact |
| `targetSpec.contactsConfiguration.contactTechnical` | domain.resource.targetSpec.contactsConfiguration.ContactConfiguration |  | Indicates the configuration of the technical contact |
| `targetSpec.dnsConfiguration` | domain.resource.targetSpec.DnsConfiguration |  | Provides the DNS configuration for your domain |
| `targetSpec.dnsConfiguration.nameServers` | domain.resource.targetSpec.dnsConfiguration.NameServer[] |  | The name servers to update |
| `targetSpec.dnssecConfiguration` | domain.resource.targetSpec.DnssecConfiguration |  | Provides the DNSSEC configuration for your domain |
| `targetSpec.dnssecConfiguration.dsData` | domain.resource.targetSpec.dnssecConfiguration.DsData[] |  | Contains the DS data to update |
| `targetSpec.hostsConfiguration` | domain.resource.targetSpec.HostsConfiguration |  | Provides the host configuration for your domain |
| `targetSpec.hostsConfiguration.hosts` | domain.resource.targetSpec.hostsConfiguration.Host[] |  | The hosts you update |
| `targetSpec.protectionState` | domain.resource.ProtectionStateEnum |  | Indicates the protection state of your domain — one of `PROTECTED`, `UNPROTECTED` |

```json
[
  {
    "checksum": "string",
    "currentState": {
      "additionalStates": [
        "DGCCRF_ABUSE"
      ],
      "authInfoManagedByOVHcloud": true,
      "authInfoSupported": true,
      "contactsConfiguration": {
        "contactAdministrator": {
          "disclosurePolicy": {
            "disclosedFields": [
              null
            ],
            "disclosureConfiguration": "DISCLOSED",
            "forcedDisclosureConfiguration": true,
            "visibleViaRdds": true
          },
          "id": "string"
        },
        "contactBilling": {
          "disclosurePolicy": {
            "disclosedFields": [
              null
            ],
            "disclosureConfiguration": "DISCLOSED",
            "forcedDisclosureConfiguration": true,
            "visibleViaRdds": true
          },
          "id": "string"
        },
        "contactOwner": {
          "disclosurePolicy": {
            "disclosedFields": [
              null
            ],
            "disclosureConfiguration": "DISCLOSED",
            "forcedDisclosureConfiguration": true,
            "visibleViaRdds": true
          },
          "id": "string"
        },
        "contactTechnical": {
          "disclosurePolicy": {
            "disclosedFields": [
              null
            ],
            "disclosureConfiguration": "DISCLOSED",
            "forcedDisclosureConfiguration": true,
            "visibleViaRdds": true
          },
          "id": "string"
        }
      },
      "createdAt": "2024-01-01T12:00:00Z",
      "designatedAgentAllowed": true,
      "dnsConfiguration": {
  …
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/v2/domain/name" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/v2/domain/name")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/v2/domain/name");

print_r($result);
?>
```

## Get a domain name resource

`GET /v2/domain/name/{domainName}`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/#get-domain-name-domainname

**Status:** Beta version  
**IAM actions:** `domain:apiovh:name/get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `domainName` | path | string | yes | Domain name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | domain.DomainWithIAM | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `checksum` | string |  | Computed hash used to control concurrent modification requests. Here, it represents the current target specification value. |
| `currentState` | domain.DomainCurrentState | read-only | Current state of the domain name |
| `currentState.additionalStates` | domain.resource.currentState.AdditionalStatesEnum[] | read-only | Additional states of your domain |
| `currentState.authInfoManagedByOVHcloud` | boolean | read-only | Whether OVHcloud manages your authinfo |
| `currentState.authInfoSupported` | boolean | read-only | Whether the registry uses authinfo to secure your domain name |
| `currentState.contactsConfiguration` | domain.resource.currentState.ContactsConfiguration | read-only | Configuration of your domain contacts |
| `currentState.contactsConfiguration.contactAdministrator` | domain.resource.currentState.contactsConfiguration.ContactConfiguration | read-only | The configuration of the administrator contact |
| `currentState.contactsConfiguration.contactBilling` | domain.resource.currentState.contactsConfiguration.ContactConfiguration | read-only | The configuration of the billing contact |
| `currentState.contactsConfiguration.contactOwner` | domain.resource.currentState.contactsConfiguration.ContactConfiguration | read-only | The configuration of the owner contact |
| `currentState.contactsConfiguration.contactTechnical` | domain.resource.currentState.contactsConfiguration.ContactConfiguration | read-only | The configuration of the technical contact |
| `currentState.createdAt` | string (date-time) | read-only | Date when your domain name was created |
| `currentState.designatedAgentAllowed` | boolean | read-only | Whether a Designated Agent may validate the trade operations (change of holder) for this domain |
| `currentState.dnsConfiguration` | domain.resource.currentState.DnsConfiguration | read-only | DNS configuration of your domain |
| `currentState.dnsConfiguration.configurationType` | domain.resource.currentState.dnsConfiguration.NameServerTypeEnum | read-only | Specifies the DNS configuration type for your domain — one of `ANYCAST`, `DEDICATED`, `EMPTY`, `EXTERNAL`, `HOLD`, `HOSTING`, `MIXED`, `PARKING` |
| `currentState.dnsConfiguration.dnssecSupported` | boolean | read-only | Deprecated. Use `dnssecSupported` from dnssecConfiguration node instead. |
| `currentState.dnsConfiguration.glueRecordIPv6Supported` | boolean | read-only | Deprecated. Use `ipv6Supported` from hostsConfiguration instead. |
| `currentState.dnsConfiguration.hostSupported` | boolean | read-only | Deprecated. Use `hostSupported` from hostsConfiguration instead. |
| `currentState.dnsConfiguration.maxDNS` | integer | read-only | Specifies the maximum number of name servers allowed by the registry |
| `currentState.dnsConfiguration.minDNS` | integer | read-only | Specifies the minimum number of name servers allowed by the registry |
| `currentState.dnsConfiguration.multipleIPsSupported` | boolean | read-only | Whether the registry accepts more than one address on a name server, IPv4 and IPv6 counted together: one of each already counts as several |
| `currentState.dnsConfiguration.nameServers` | domain.resource.currentState.dnsConfiguration.NameServer[] | read-only | Lists the name servers used by your domain |
| `currentState.dnssecConfiguration` | domain.resource.currentState.DnssecConfiguration | read-only | DNSSEC configuration of your domain |
| `currentState.dnssecConfiguration.dnssecSupported` | boolean | read-only | Whether the registry supports DNSSEC |
| `currentState.dnssecConfiguration.dsData` | domain.resource.currentState.dnssecConfiguration.DsData[] | read-only | Contains the registered DS data for your domain name |
| `currentState.dnssecConfiguration.supportedAlgorithms` | domain.resource.currentState.dnssecConfiguration.SupportedAlgorithm[] | read-only | Specifies all cryptographic algorithms that you can use to define DS data |
| `currentState.extension` | string | read-only | Extension of your domain name |
| `currentState.hostsConfiguration` | domain.resource.currentState.HostsConfiguration | read-only | Host configuration of your domain |
| `currentState.hostsConfiguration.hostSupported` | boolean | read-only | Whether the registry supports host management |
| `currentState.hostsConfiguration.hosts` | domain.resource.currentState.hostsConfiguration.Host[] | read-only | Contains the registered host configuration |
| `currentState.hostsConfiguration.ipv4Supported` | boolean | read-only | Whether the registry supports IPv4 |
| `currentState.hostsConfiguration.ipv6Supported` | boolean | read-only | Whether the registry supports IPv6 |
| `currentState.hostsConfiguration.multipleIPsSupported` | boolean | read-only | Whether the registry supports multiple IPs |
| `currentState.mainState` | domain.resource.currentState.MainStateEnum | read-only | Main state of your domain — one of `DELETED`, `EXPIRED`, `OK`, `PENDING_CREATE`, `PENDING_DELETE`, `PENDING_INTERNAL_TRANSFER`, `PENDING_OUTGOING_TRANSFER`, `RESTORABLE`, `TO_DELETE` |
| `currentState.name` | string | read-only | Your domain name |
| `currentState.protectionState` | domain.resource.ProtectionStateEnum | read-only | Protection state of your domain — one of `PROTECTED`, `UNPROTECTED` |
| `currentState.suspensionState` | domain.resource.currentState.SuspensionStateEnum | read-only | Suspension state of your domain — one of `NOT_SUSPENDED`, `SUSPENDED` |
| `currentState.transferAuthorizationMethod` | domain.resource.currentState.TransferAuthorizationMethodEnum | read-only | Method used to authorize domain transfer — one of `ASK_OVHCLOUD_SUPPORT`, `AUTH_CODE`, `NONE`, `TRANSFER_TAG` |
| `currentTasks` | common.CurrentTask[] | read-only | Ongoing asynchronous tasks related to the domain name resource |
| `currentTasks[].errors` | common.TaskError[] | read-only | Errors that occurred on the task |
| `currentTasks[].errors[].message` | string | read-only | Error description |
| `currentTasks[].id` | string (uuid) | read-only | Identifier of the current task |
| `currentTasks[].link` | string | read-only | Link to the task details |
| `currentTasks[].status` | common.CurrentTaskStatusEnum | read-only | Current global status of the current task — one of `ERROR`, `PENDING`, `RUNNING`, `SCHEDULED`, `WAITING_USER_INPUT` |
| `currentTasks[].type` | string | read-only | Type of the current task |
| `iam` | iam.ResourceMetadata | read-only | IAM resource metadata |
| `iam.displayName` | string | read-only | Resource display name |
| `iam.id` | string (uuid) | read-only | Unique identifier of the resource |
| `iam.state` | iam.ResourceMetadata.StateEnum | read-only | Resource state — one of `EXPIRED`, `IN_CREATION`, `OK`, `SUSPENDED` |
| `iam.tags` | object | read-only | Resource tags. Tags that were internally computed are prefixed with ovh: |
| `iam.urn` | string | read-only | Unique resource name used in policies |
| `id` | string | read-only | Unique identifier of the resource. Here, the domain name itself is used as an identifier. |
| `resourceStatus` | common.ResourceStatusEnum | read-only | Reflects the readiness of the domain name resource. A new target specification request will be accepted only in `READY`, `UPDATING` or `ERROR` status. — one of `CREATING`, `CREATION_PLANNED`, `DELETING`, `ERROR`, `OUT_OF_SYNC`, `READY`, `SUSPENDED`, `UNKNOWN`, `UPDATING` |
| `targetSpec` | domain.DomainTargetSpec | yes | Latest target specification of the domain name resource |
| `targetSpec.contactsConfiguration` | domain.resource.targetSpec.ContactsConfiguration |  | Provides the configuration for your domain contacts |
| `targetSpec.contactsConfiguration.contactAdministrator` | domain.resource.targetSpec.contactsConfiguration.ContactConfiguration |  | Indicates the configuration of the administrator contact |
| `targetSpec.contactsConfiguration.contactBilling` | domain.resource.targetSpec.contactsConfiguration.ContactConfiguration |  | Indicates the configuration of the billing contact |
| `targetSpec.contactsConfiguration.contactOwner` | domain.resource.targetSpec.contactsConfiguration.OwnerConfiguration |  | Indicates the configuration of the owner contact |
| `targetSpec.contactsConfiguration.contactTechnical` | domain.resource.targetSpec.contactsConfiguration.ContactConfiguration |  | Indicates the configuration of the technical contact |
| `targetSpec.dnsConfiguration` | domain.resource.targetSpec.DnsConfiguration |  | Provides the DNS configuration for your domain |
| `targetSpec.dnsConfiguration.nameServers` | domain.resource.targetSpec.dnsConfiguration.NameServer[] |  | The name servers to update |
| `targetSpec.dnssecConfiguration` | domain.resource.targetSpec.DnssecConfiguration |  | Provides the DNSSEC configuration for your domain |
| `targetSpec.dnssecConfiguration.dsData` | domain.resource.targetSpec.dnssecConfiguration.DsData[] |  | Contains the DS data to update |
| `targetSpec.hostsConfiguration` | domain.resource.targetSpec.HostsConfiguration |  | Provides the host configuration for your domain |
| `targetSpec.hostsConfiguration.hosts` | domain.resource.targetSpec.hostsConfiguration.Host[] |  | The hosts you update |
| `targetSpec.protectionState` | domain.resource.ProtectionStateEnum |  | Indicates the protection state of your domain — one of `PROTECTED`, `UNPROTECTED` |

```json
{
  "checksum": "string",
  "currentState": {
    "additionalStates": [
      "DGCCRF_ABUSE"
    ],
    "authInfoManagedByOVHcloud": true,
    "authInfoSupported": true,
    "contactsConfiguration": {
      "contactAdministrator": {
        "disclosurePolicy": {
          "disclosedFields": [
            "ADDRESS"
          ],
          "disclosureConfiguration": "DISCLOSED",
          "forcedDisclosureConfiguration": true,
          "visibleViaRdds": true
        },
        "id": "string"
      },
      "contactBilling": {
        "disclosurePolicy": {
          "disclosedFields": [
            "ADDRESS"
          ],
          "disclosureConfiguration": "DISCLOSED",
          "forcedDisclosureConfiguration": true,
          "visibleViaRdds": true
        },
        "id": "string"
      },
      "contactOwner": {
        "disclosurePolicy": {
          "disclosedFields": [
            "ADDRESS"
          ],
          "disclosureConfiguration": "DISCLOSED",
          "forcedDisclosureConfiguration": true,
          "visibleViaRdds": true
        },
        "id": "string"
      },
      "contactTechnical": {
        "disclosurePolicy": {
          "disclosedFields": [
            "ADDRESS"
          ],
          "disclosureConfiguration": "DISCLOSED",
          "forcedDisclosureConfiguration": true,
          "visibleViaRdds": true
        },
        "id": "string"
      }
    },
    "createdAt": "2024-01-01T12:00:00Z",
    "designatedAgentAllowed": true,
    "dnsConfiguration": {
      "configurationType": "ANYCAST",
      "dnssecSupported": true,
  …
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/v2/domain/name/{domainName}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/v2/domain/name/{domainName}")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/v2/domain/name/{domainName}");

print_r($result);
?>
```

## Update an existing domain name by modifying various configurations through the targetSpec

`PUT /v2/domain/name/{domainName}`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/#put-domain-name-domainname

**Status:** Beta version  
**IAM actions:** `domain:apiovh:name/edit`, `domain:apiovh:name/setProtection`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `domainName` | path | string | yes | Domain name |

### Request body (required)

Type: `domain.Domain`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `checksum` | string |  | Computed hash used to control concurrent modification requests. Here, it represents the current target specification value. |
| `currentState` | domain.DomainCurrentState | read-only | Current state of the domain name |
| `currentState.additionalStates` | domain.resource.currentState.AdditionalStatesEnum[] | read-only | Additional states of your domain |
| `currentState.authInfoManagedByOVHcloud` | boolean | read-only | Whether OVHcloud manages your authinfo |
| `currentState.authInfoSupported` | boolean | read-only | Whether the registry uses authinfo to secure your domain name |
| `currentState.contactsConfiguration` | domain.resource.currentState.ContactsConfiguration | read-only | Configuration of your domain contacts |
| `currentState.contactsConfiguration.contactAdministrator` | domain.resource.currentState.contactsConfiguration.ContactConfiguration | read-only | The configuration of the administrator contact |
| `currentState.contactsConfiguration.contactBilling` | domain.resource.currentState.contactsConfiguration.ContactConfiguration | read-only | The configuration of the billing contact |
| `currentState.contactsConfiguration.contactOwner` | domain.resource.currentState.contactsConfiguration.ContactConfiguration | read-only | The configuration of the owner contact |
| `currentState.contactsConfiguration.contactTechnical` | domain.resource.currentState.contactsConfiguration.ContactConfiguration | read-only | The configuration of the technical contact |
| `currentState.createdAt` | string (date-time) | read-only | Date when your domain name was created |
| `currentState.designatedAgentAllowed` | boolean | read-only | Whether a Designated Agent may validate the trade operations (change of holder) for this domain |
| `currentState.dnsConfiguration` | domain.resource.currentState.DnsConfiguration | read-only | DNS configuration of your domain |
| `currentState.dnsConfiguration.configurationType` | domain.resource.currentState.dnsConfiguration.NameServerTypeEnum | read-only | Specifies the DNS configuration type for your domain — one of `ANYCAST`, `DEDICATED`, `EMPTY`, `EXTERNAL`, `HOLD`, `HOSTING`, `MIXED`, `PARKING` |
| `currentState.dnsConfiguration.dnssecSupported` | boolean | read-only | Deprecated. Use `dnssecSupported` from dnssecConfiguration node instead. |
| `currentState.dnsConfiguration.glueRecordIPv6Supported` | boolean | read-only | Deprecated. Use `ipv6Supported` from hostsConfiguration instead. |
| `currentState.dnsConfiguration.hostSupported` | boolean | read-only | Deprecated. Use `hostSupported` from hostsConfiguration instead. |
| `currentState.dnsConfiguration.maxDNS` | integer | read-only | Specifies the maximum number of name servers allowed by the registry |
| `currentState.dnsConfiguration.minDNS` | integer | read-only | Specifies the minimum number of name servers allowed by the registry |
| `currentState.dnsConfiguration.multipleIPsSupported` | boolean | read-only | Whether the registry accepts more than one address on a name server, IPv4 and IPv6 counted together: one of each already counts as several |
| `currentState.dnsConfiguration.nameServers` | domain.resource.currentState.dnsConfiguration.NameServer[] | read-only | Lists the name servers used by your domain |
| `currentState.dnssecConfiguration` | domain.resource.currentState.DnssecConfiguration | read-only | DNSSEC configuration of your domain |
| `currentState.dnssecConfiguration.dnssecSupported` | boolean | read-only | Whether the registry supports DNSSEC |
| `currentState.dnssecConfiguration.dsData` | domain.resource.currentState.dnssecConfiguration.DsData[] | read-only | Contains the registered DS data for your domain name |
| `currentState.dnssecConfiguration.supportedAlgorithms` | domain.resource.currentState.dnssecConfiguration.SupportedAlgorithm[] | read-only | Specifies all cryptographic algorithms that you can use to define DS data |
| `currentState.extension` | string | read-only | Extension of your domain name |
| `currentState.hostsConfiguration` | domain.resource.currentState.HostsConfiguration | read-only | Host configuration of your domain |
| `currentState.hostsConfiguration.hostSupported` | boolean | read-only | Whether the registry supports host management |
| `currentState.hostsConfiguration.hosts` | domain.resource.currentState.hostsConfiguration.Host[] | read-only | Contains the registered host configuration |
| `currentState.hostsConfiguration.ipv4Supported` | boolean | read-only | Whether the registry supports IPv4 |
| `currentState.hostsConfiguration.ipv6Supported` | boolean | read-only | Whether the registry supports IPv6 |
| `currentState.hostsConfiguration.multipleIPsSupported` | boolean | read-only | Whether the registry supports multiple IPs |
| `currentState.mainState` | domain.resource.currentState.MainStateEnum | read-only | Main state of your domain — one of `DELETED`, `EXPIRED`, `OK`, `PENDING_CREATE`, `PENDING_DELETE`, `PENDING_INTERNAL_TRANSFER`, `PENDING_OUTGOING_TRANSFER`, `RESTORABLE`, `TO_DELETE` |
| `currentState.name` | string | read-only | Your domain name |
| `currentState.protectionState` | domain.resource.ProtectionStateEnum | read-only | Protection state of your domain — one of `PROTECTED`, `UNPROTECTED` |
| `currentState.suspensionState` | domain.resource.currentState.SuspensionStateEnum | read-only | Suspension state of your domain — one of `NOT_SUSPENDED`, `SUSPENDED` |
| `currentState.transferAuthorizationMethod` | domain.resource.currentState.TransferAuthorizationMethodEnum | read-only | Method used to authorize domain transfer — one of `ASK_OVHCLOUD_SUPPORT`, `AUTH_CODE`, `NONE`, `TRANSFER_TAG` |
| `currentTasks` | common.CurrentTask[] | read-only | Ongoing asynchronous tasks related to the domain name resource |
| `currentTasks[].errors` | common.TaskError[] | read-only | Errors that occurred on the task |
| `currentTasks[].errors[].message` | string | read-only | Error description |
| `currentTasks[].id` | string (uuid) | read-only | Identifier of the current task |
| `currentTasks[].link` | string | read-only | Link to the task details |
| `currentTasks[].status` | common.CurrentTaskStatusEnum | read-only | Current global status of the current task — one of `ERROR`, `PENDING`, `RUNNING`, `SCHEDULED`, `WAITING_USER_INPUT` |
| `currentTasks[].type` | string | read-only | Type of the current task |
| `id` | string | read-only | Unique identifier of the resource. Here, the domain name itself is used as an identifier. |
| `resourceStatus` | common.ResourceStatusEnum | read-only | Reflects the readiness of the domain name resource. A new target specification request will be accepted only in `READY`, `UPDATING` or `ERROR` status. — one of `CREATING`, `CREATION_PLANNED`, `DELETING`, `ERROR`, `OUT_OF_SYNC`, `READY`, `SUSPENDED`, `UNKNOWN`, `UPDATING` |
| `targetSpec` | domain.DomainTargetSpec | yes | Latest target specification of the domain name resource |
| `targetSpec.contactsConfiguration` | domain.resource.targetSpec.ContactsConfiguration |  | Provides the configuration for your domain contacts |
| `targetSpec.contactsConfiguration.contactAdministrator` | domain.resource.targetSpec.contactsConfiguration.ContactConfiguration |  | Indicates the configuration of the administrator contact |
| `targetSpec.contactsConfiguration.contactBilling` | domain.resource.targetSpec.contactsConfiguration.ContactConfiguration |  | Indicates the configuration of the billing contact |
| `targetSpec.contactsConfiguration.contactOwner` | domain.resource.targetSpec.contactsConfiguration.OwnerConfiguration |  | Indicates the configuration of the owner contact |
| `targetSpec.contactsConfiguration.contactTechnical` | domain.resource.targetSpec.contactsConfiguration.ContactConfiguration |  | Indicates the configuration of the technical contact |
| `targetSpec.dnsConfiguration` | domain.resource.targetSpec.DnsConfiguration |  | Provides the DNS configuration for your domain |
| `targetSpec.dnsConfiguration.nameServers` | domain.resource.targetSpec.dnsConfiguration.NameServer[] |  | The name servers to update |
| `targetSpec.dnssecConfiguration` | domain.resource.targetSpec.DnssecConfiguration |  | Provides the DNSSEC configuration for your domain |
| `targetSpec.dnssecConfiguration.dsData` | domain.resource.targetSpec.dnssecConfiguration.DsData[] |  | Contains the DS data to update |
| `targetSpec.hostsConfiguration` | domain.resource.targetSpec.HostsConfiguration |  | Provides the host configuration for your domain |
| `targetSpec.hostsConfiguration.hosts` | domain.resource.targetSpec.hostsConfiguration.Host[] |  | The hosts you update |
| `targetSpec.protectionState` | domain.resource.ProtectionStateEnum |  | Indicates the protection state of your domain — one of `PROTECTED`, `UNPROTECTED` |

```json
{
  "checksum": "string",
  "targetSpec": {
    "contactsConfiguration": {
      "contactAdministrator": {
        "disclosurePolicy": {
          "disclosureConfiguration": "DISCLOSED"
        }
      },
      "contactBilling": {
        "disclosurePolicy": {
          "disclosureConfiguration": "DISCLOSED"
        }
      },
      "contactOwner": {
        "disclosurePolicy": {
          "disclosureConfiguration": "DISCLOSED"
        },
        "id": "string"
      },
      "contactTechnical": {
        "disclosurePolicy": {
          "disclosureConfiguration": "DISCLOSED"
        }
      }
    },
    "dnsConfiguration": {
      "nameServers": [
        {
          "ips": [
            "192.0.2.0"
          ],
          "ipv4": "192.0.2.0",
          "ipv6": "2001:41d0:1:1994::1",
          "nameServer": "string"
        }
      ]
    },
    "dnssecConfiguration": {
      "dsData": [
        {
          "algorithm": 0,
          "flags": 0,
          "keyTag": 0,
          "publicKey": "string"
        }
      ]
    },
    "hostsConfiguration": {
      "hosts": [
        {
          "host": "string",
          "ips": [
            "192.0.2.0"
          ]
        }
      ]
    },
    "protectionState": "PROTECTED"
  }
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | domain.Domain | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `checksum` | string |  | Computed hash used to control concurrent modification requests. Here, it represents the current target specification value. |
| `currentState` | domain.DomainCurrentState | read-only | Current state of the domain name |
| `currentState.additionalStates` | domain.resource.currentState.AdditionalStatesEnum[] | read-only | Additional states of your domain |
| `currentState.authInfoManagedByOVHcloud` | boolean | read-only | Whether OVHcloud manages your authinfo |
| `currentState.authInfoSupported` | boolean | read-only | Whether the registry uses authinfo to secure your domain name |
| `currentState.contactsConfiguration` | domain.resource.currentState.ContactsConfiguration | read-only | Configuration of your domain contacts |
| `currentState.contactsConfiguration.contactAdministrator` | domain.resource.currentState.contactsConfiguration.ContactConfiguration | read-only | The configuration of the administrator contact |
| `currentState.contactsConfiguration.contactBilling` | domain.resource.currentState.contactsConfiguration.ContactConfiguration | read-only | The configuration of the billing contact |
| `currentState.contactsConfiguration.contactOwner` | domain.resource.currentState.contactsConfiguration.ContactConfiguration | read-only | The configuration of the owner contact |
| `currentState.contactsConfiguration.contactTechnical` | domain.resource.currentState.contactsConfiguration.ContactConfiguration | read-only | The configuration of the technical contact |
| `currentState.createdAt` | string (date-time) | read-only | Date when your domain name was created |
| `currentState.designatedAgentAllowed` | boolean | read-only | Whether a Designated Agent may validate the trade operations (change of holder) for this domain |
| `currentState.dnsConfiguration` | domain.resource.currentState.DnsConfiguration | read-only | DNS configuration of your domain |
| `currentState.dnsConfiguration.configurationType` | domain.resource.currentState.dnsConfiguration.NameServerTypeEnum | read-only | Specifies the DNS configuration type for your domain — one of `ANYCAST`, `DEDICATED`, `EMPTY`, `EXTERNAL`, `HOLD`, `HOSTING`, `MIXED`, `PARKING` |
| `currentState.dnsConfiguration.dnssecSupported` | boolean | read-only | Deprecated. Use `dnssecSupported` from dnssecConfiguration node instead. |
| `currentState.dnsConfiguration.glueRecordIPv6Supported` | boolean | read-only | Deprecated. Use `ipv6Supported` from hostsConfiguration instead. |
| `currentState.dnsConfiguration.hostSupported` | boolean | read-only | Deprecated. Use `hostSupported` from hostsConfiguration instead. |
| `currentState.dnsConfiguration.maxDNS` | integer | read-only | Specifies the maximum number of name servers allowed by the registry |
| `currentState.dnsConfiguration.minDNS` | integer | read-only | Specifies the minimum number of name servers allowed by the registry |
| `currentState.dnsConfiguration.multipleIPsSupported` | boolean | read-only | Whether the registry accepts more than one address on a name server, IPv4 and IPv6 counted together: one of each already counts as several |
| `currentState.dnsConfiguration.nameServers` | domain.resource.currentState.dnsConfiguration.NameServer[] | read-only | Lists the name servers used by your domain |
| `currentState.dnssecConfiguration` | domain.resource.currentState.DnssecConfiguration | read-only | DNSSEC configuration of your domain |
| `currentState.dnssecConfiguration.dnssecSupported` | boolean | read-only | Whether the registry supports DNSSEC |
| `currentState.dnssecConfiguration.dsData` | domain.resource.currentState.dnssecConfiguration.DsData[] | read-only | Contains the registered DS data for your domain name |
| `currentState.dnssecConfiguration.supportedAlgorithms` | domain.resource.currentState.dnssecConfiguration.SupportedAlgorithm[] | read-only | Specifies all cryptographic algorithms that you can use to define DS data |
| `currentState.extension` | string | read-only | Extension of your domain name |
| `currentState.hostsConfiguration` | domain.resource.currentState.HostsConfiguration | read-only | Host configuration of your domain |
| `currentState.hostsConfiguration.hostSupported` | boolean | read-only | Whether the registry supports host management |
| `currentState.hostsConfiguration.hosts` | domain.resource.currentState.hostsConfiguration.Host[] | read-only | Contains the registered host configuration |
| `currentState.hostsConfiguration.ipv4Supported` | boolean | read-only | Whether the registry supports IPv4 |
| `currentState.hostsConfiguration.ipv6Supported` | boolean | read-only | Whether the registry supports IPv6 |
| `currentState.hostsConfiguration.multipleIPsSupported` | boolean | read-only | Whether the registry supports multiple IPs |
| `currentState.mainState` | domain.resource.currentState.MainStateEnum | read-only | Main state of your domain — one of `DELETED`, `EXPIRED`, `OK`, `PENDING_CREATE`, `PENDING_DELETE`, `PENDING_INTERNAL_TRANSFER`, `PENDING_OUTGOING_TRANSFER`, `RESTORABLE`, `TO_DELETE` |
| `currentState.name` | string | read-only | Your domain name |
| `currentState.protectionState` | domain.resource.ProtectionStateEnum | read-only | Protection state of your domain — one of `PROTECTED`, `UNPROTECTED` |
| `currentState.suspensionState` | domain.resource.currentState.SuspensionStateEnum | read-only | Suspension state of your domain — one of `NOT_SUSPENDED`, `SUSPENDED` |
| `currentState.transferAuthorizationMethod` | domain.resource.currentState.TransferAuthorizationMethodEnum | read-only | Method used to authorize domain transfer — one of `ASK_OVHCLOUD_SUPPORT`, `AUTH_CODE`, `NONE`, `TRANSFER_TAG` |
| `currentTasks` | common.CurrentTask[] | read-only | Ongoing asynchronous tasks related to the domain name resource |
| `currentTasks[].errors` | common.TaskError[] | read-only | Errors that occurred on the task |
| `currentTasks[].errors[].message` | string | read-only | Error description |
| `currentTasks[].id` | string (uuid) | read-only | Identifier of the current task |
| `currentTasks[].link` | string | read-only | Link to the task details |
| `currentTasks[].status` | common.CurrentTaskStatusEnum | read-only | Current global status of the current task — one of `ERROR`, `PENDING`, `RUNNING`, `SCHEDULED`, `WAITING_USER_INPUT` |
| `currentTasks[].type` | string | read-only | Type of the current task |
| `id` | string | read-only | Unique identifier of the resource. Here, the domain name itself is used as an identifier. |
| `resourceStatus` | common.ResourceStatusEnum | read-only | Reflects the readiness of the domain name resource. A new target specification request will be accepted only in `READY`, `UPDATING` or `ERROR` status. — one of `CREATING`, `CREATION_PLANNED`, `DELETING`, `ERROR`, `OUT_OF_SYNC`, `READY`, `SUSPENDED`, `UNKNOWN`, `UPDATING` |
| `targetSpec` | domain.DomainTargetSpec | yes | Latest target specification of the domain name resource |
| `targetSpec.contactsConfiguration` | domain.resource.targetSpec.ContactsConfiguration |  | Provides the configuration for your domain contacts |
| `targetSpec.contactsConfiguration.contactAdministrator` | domain.resource.targetSpec.contactsConfiguration.ContactConfiguration |  | Indicates the configuration of the administrator contact |
| `targetSpec.contactsConfiguration.contactBilling` | domain.resource.targetSpec.contactsConfiguration.ContactConfiguration |  | Indicates the configuration of the billing contact |
| `targetSpec.contactsConfiguration.contactOwner` | domain.resource.targetSpec.contactsConfiguration.OwnerConfiguration |  | Indicates the configuration of the owner contact |
| `targetSpec.contactsConfiguration.contactTechnical` | domain.resource.targetSpec.contactsConfiguration.ContactConfiguration |  | Indicates the configuration of the technical contact |
| `targetSpec.dnsConfiguration` | domain.resource.targetSpec.DnsConfiguration |  | Provides the DNS configuration for your domain |
| `targetSpec.dnsConfiguration.nameServers` | domain.resource.targetSpec.dnsConfiguration.NameServer[] |  | The name servers to update |
| `targetSpec.dnssecConfiguration` | domain.resource.targetSpec.DnssecConfiguration |  | Provides the DNSSEC configuration for your domain |
| `targetSpec.dnssecConfiguration.dsData` | domain.resource.targetSpec.dnssecConfiguration.DsData[] |  | Contains the DS data to update |
| `targetSpec.hostsConfiguration` | domain.resource.targetSpec.HostsConfiguration |  | Provides the host configuration for your domain |
| `targetSpec.hostsConfiguration.hosts` | domain.resource.targetSpec.hostsConfiguration.Host[] |  | The hosts you update |
| `targetSpec.protectionState` | domain.resource.ProtectionStateEnum |  | Indicates the protection state of your domain — one of `PROTECTED`, `UNPROTECTED` |

```json
{
  "checksum": "string",
  "currentState": {
    "additionalStates": [
      "DGCCRF_ABUSE"
    ],
    "authInfoManagedByOVHcloud": true,
    "authInfoSupported": true,
    "contactsConfiguration": {
      "contactAdministrator": {
        "disclosurePolicy": {
          "disclosedFields": [
            "ADDRESS"
          ],
          "disclosureConfiguration": "DISCLOSED",
          "forcedDisclosureConfiguration": true,
          "visibleViaRdds": true
        },
        "id": "string"
      },
      "contactBilling": {
        "disclosurePolicy": {
          "disclosedFields": [
            "ADDRESS"
          ],
          "disclosureConfiguration": "DISCLOSED",
          "forcedDisclosureConfiguration": true,
          "visibleViaRdds": true
        },
        "id": "string"
      },
      "contactOwner": {
        "disclosurePolicy": {
          "disclosedFields": [
            "ADDRESS"
          ],
          "disclosureConfiguration": "DISCLOSED",
          "forcedDisclosureConfiguration": true,
          "visibleViaRdds": true
        },
        "id": "string"
      },
      "contactTechnical": {
        "disclosurePolicy": {
          "disclosedFields": [
            "ADDRESS"
          ],
          "disclosureConfiguration": "DISCLOSED",
          "forcedDisclosureConfiguration": true,
          "visibleViaRdds": true
        },
        "id": "string"
      }
    },
    "createdAt": "2024-01-01T12:00:00Z",
    "designatedAgentAllowed": true,
    "dnsConfiguration": {
      "configurationType": "ANYCAST",
      "dnssecSupported": true,
  …
```

### Example

```bash
curl -X PUT \
  "https://api.eu.ovhcloud.com/v2/domain/name/{domainName}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: domain.Domain
result = client.put("/v2/domain/name/{domainName}",
	checksum = None, # Computed hash used to control concurrent modification requests. Here, it represents the current target specification value. (type: string)
	targetSpec = None, # Latest target specification of the domain name resource (type: domain.DomainTargetSpec)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: domain.Domain
$result = $ovh->put("/v2/domain/name/{domainName}", array(
	checksum => null, // Computed hash used to control concurrent modification requests. Here, it represents the current target specification value. (type: string)
	targetSpec => null, // Latest target specification of the domain name resource (type: domain.DomainTargetSpec)
));

print_r($result);
?>
```

## Get the list of managed domain names

`GET /1.0/domain`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/#getDomains

**Status:** Stable production version  
**IAM actions:** `domain:apiovh:get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `iamTags` | query | object |  | Filter resources on IAM tags |
| `whoisOwner` | query | string |  | Filter domain names by owner ID |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | string[] | successful operation |

```json
[
  "string"
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/domain" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/domain")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/domain");

print_r($result);
?>
```

## Get domain name information

`GET /1.0/domain/{serviceName}`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/#getDomain

**Status:** Stable production version  
**IAM actions:** `domain:apiovh:get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | domain.DomainServiceWithIAM | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `contactAdmin` | domain.ContactSummary | read-only | Administrative contact data |
| `contactAdmin.id` | string | read-only | Unique contact identifier (contact data can be edited via /me/contact/<ID>) |
| `contactBilling` | domain.ContactSummary | read-only | Billing contact data |
| `contactBilling.id` | string | read-only | Unique contact identifier (contact data can be edited via /me/contact/<ID>) |
| `contactOwner` | domain.ContactSummary | read-only | Owner (registrant) contact data |
| `contactOwner.id` | string | read-only | Unique contact identifier (contact data can be edited via /me/contact/<ID>) |
| `contactTech` | domain.ContactSummary | read-only | Technical contact data |
| `contactTech.id` | string | read-only | Unique contact identifier (contact data can be edited via /me/contact/<ID>) |
| `dnssecState` | domain.DnssecStateEnum | read-only | Current DNSSEC state of the domain name — one of `disabled`, `enabled`, `not_supported` |
| `dnssecSupported` | boolean | read-only | Whether DNSSEC is activated for this domain name |
| `domain` | string | read-only | Domain name |
| `expirationDate` | string (date-time) | read-only | Date when the domain name will expire, if not renewed |
| `glueRecordIpv6Supported` | boolean | read-only | Whether the registry supports IPv6 glue records |
| `glueRecordMultiIpSupported` | boolean | read-only | Whether the registry supports multi-ip glue records |
| `hostSupported` | boolean | read-only | Whether the registry supports hosts as independent entities |
| `iam` | iam.ResourceMetadata | read-only | IAM resource metadata |
| `iam.displayName` | string | read-only | Resource display name |
| `iam.id` | string (uuid) | read-only | Unique identifier of the resource |
| `iam.state` | iam.ResourceMetadata.StateEnum | read-only | Resource state — one of `EXPIRED`, `IN_CREATION`, `OK`, `SUSPENDED` |
| `iam.tags` | object | read-only | Resource tags. Tags that were internally computed are prefixed with ovh: |
| `iam.urn` | string | read-only | Unique resource name used in policies |
| `lastUpdate` | string (date-time) | read-only | Last update date |
| `nameServerType` | domain.nameServer.NameServerTypeEnum |  | Name servers type — one of `anycast`, `dedicated`, `empty`, `external`, `hold`, `hosted`, `hosting`, `mixed`, `parking` |
| `nameServers` | domain.nameServer.NameServer[] | read-only | Name servers list |
| `nameServers[].id` | integer | read-only | ID of the name server |
| `nameServers[].ipv4` | ipv4 | read-only | IPv4 adress of the name server |
| `nameServers[].ipv6` | ipv6 | read-only | IPv6 adress of the name server |
| `nameServers[].nameServer` | string | read-only | Name of the name server |
| `nameServers[].nameServerType` | domain.nameServer.NameServerTypeEnum | read-only | Type of the name server — one of `anycast`, `dedicated`, `empty`, `external`, `hold`, `hosted`, `hosting`, `mixed`, `parking` |
| `offer` | domain.OfferEnum | read-only | Offer associated with the domain name — one of `diamond`, `gold`, `platinum` |
| `owoSupported` | boolean | read-only | Whether Whois data obfuscation is supported for this domain name |
| `parentService` | domain.ParentService | read-only | Parent service |
| `parentService.name` | string | read-only | Name of the parent service |
| `parentService.type` | domain.ParentServiceTypeEnum | read-only | Type of the parent service — one of `/allDom` |
| `renewalDate` | string (date-time) | read-only | Date when the domain name should be renewed (relevant if renewalState is automatic_renew) |
| `renewalState` | domain.RenewalStateEnum | read-only | Current renewal state of the domain name — one of `automatic_renew`, `cancellation_complete`, `cancellation_requested`, `manual_renew`, `unpaid` |
| `serviceId` | integer | read-only | Technical service identifier |
| `state` | domain.DomainStateEnum | read-only | Current state of the domain name — one of `autorenew_in_progress`, `autorenew_registry_in_progress`, `deleted`, `dispute`, `expired`, `ok`, `outgoing_transfer`, `pending_create`, `pending_delete`, `pending_incoming_transfer`, `pending_installation`, `registry_suspended`, … |
| `suspensionState` | domain.SuspensionStateEnum | read-only | Current suspension state of the domain name — one of `not_suspended`, `suspended` |
| `transferLockStatus` | domain.LockStatusEnum |  | Current transfer lock status of the domain name — one of `locked`, `locking`, `unavailable`, `unlocked`, `unlocking` |
| `whoisOwner` | string | read-only | Owner (registrant) contact ID (contact data can be edited via /me/contact/<ID>) |

```json
{
  "contactAdmin": {
    "id": "string"
  },
  "contactBilling": {
    "id": "string"
  },
  "contactOwner": {
    "id": "string"
  },
  "contactTech": {
    "id": "string"
  },
  "dnssecState": "disabled",
  "dnssecSupported": true,
  "domain": "string",
  "expirationDate": "2024-01-01T12:00:00Z",
  "glueRecordIpv6Supported": true,
  "glueRecordMultiIpSupported": true,
  "hostSupported": true,
  "iam": {
    "displayName": "string",
    "id": "00000000-0000-0000-0000-000000000000",
    "state": "EXPIRED",
    "tags": {
      "key": "string"
    },
    "urn": "string"
  },
  "lastUpdate": "2024-01-01T12:00:00Z",
  "nameServerType": "anycast",
  "nameServers": [
    {
      "id": 0,
      "ipv4": "192.0.2.0",
      "ipv6": "2001:41d0:1:1994::1",
      "nameServer": "string",
      "nameServerType": "anycast"
    }
  ],
  "offer": "diamond",
  "owoSupported": true,
  "parentService": {
    "name": "string",
    "type": "/allDom"
  },
  "renewalDate": "2024-01-01T12:00:00Z",
  "renewalState": "automatic_renew",
  "serviceId": 0,
  "state": "autorenew_in_progress",
  "suspensionState": "not_suspended",
  "transferLockStatus": "locked",
  "whoisOwner": "string"
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/domain/{serviceName}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/domain/{serviceName}")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/domain/{serviceName}");

print_r($result);
?>
```

## Edit domain name properties

`PUT /1.0/domain/{serviceName}`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/#editDomain

**Status:** Stable production version  
**IAM actions:** `domain:apiovh:edit`, `domain:apiovh:name/setProtection`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Request body (required)

Type: `domain.DomainService`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `contactAdmin` | domain.ContactSummary | read-only | Administrative contact data |
| `contactAdmin.id` | string | read-only | Unique contact identifier (contact data can be edited via /me/contact/<ID>) |
| `contactBilling` | domain.ContactSummary | read-only | Billing contact data |
| `contactBilling.id` | string | read-only | Unique contact identifier (contact data can be edited via /me/contact/<ID>) |
| `contactOwner` | domain.ContactSummary | read-only | Owner (registrant) contact data |
| `contactOwner.id` | string | read-only | Unique contact identifier (contact data can be edited via /me/contact/<ID>) |
| `contactTech` | domain.ContactSummary | read-only | Technical contact data |
| `contactTech.id` | string | read-only | Unique contact identifier (contact data can be edited via /me/contact/<ID>) |
| `dnssecState` | domain.DnssecStateEnum | read-only | Current DNSSEC state of the domain name — one of `disabled`, `enabled`, `not_supported` |
| `dnssecSupported` | boolean | read-only | Whether DNSSEC is activated for this domain name |
| `domain` | string | read-only | Domain name |
| `expirationDate` | string (date-time) | read-only | Date when the domain name will expire, if not renewed |
| `glueRecordIpv6Supported` | boolean | read-only | Whether the registry supports IPv6 glue records |
| `glueRecordMultiIpSupported` | boolean | read-only | Whether the registry supports multi-ip glue records |
| `hostSupported` | boolean | read-only | Whether the registry supports hosts as independent entities |
| `lastUpdate` | string (date-time) | read-only | Last update date |
| `nameServerType` | domain.nameServer.NameServerTypeEnum |  | Name servers type — one of `anycast`, `dedicated`, `empty`, `external`, `hold`, `hosted`, `hosting`, `mixed`, `parking` |
| `nameServers` | domain.nameServer.NameServer[] | read-only | Name servers list |
| `nameServers[].id` | integer | read-only | ID of the name server |
| `nameServers[].ipv4` | ipv4 | read-only | IPv4 adress of the name server |
| `nameServers[].ipv6` | ipv6 | read-only | IPv6 adress of the name server |
| `nameServers[].nameServer` | string | read-only | Name of the name server |
| `nameServers[].nameServerType` | domain.nameServer.NameServerTypeEnum | read-only | Type of the name server — one of `anycast`, `dedicated`, `empty`, `external`, `hold`, `hosted`, `hosting`, `mixed`, `parking` |
| `offer` | domain.OfferEnum | read-only | Offer associated with the domain name — one of `diamond`, `gold`, `platinum` |
| `owoSupported` | boolean | read-only | Whether Whois data obfuscation is supported for this domain name |
| `parentService` | domain.ParentService | read-only | Parent service |
| `parentService.name` | string | read-only | Name of the parent service |
| `parentService.type` | domain.ParentServiceTypeEnum | read-only | Type of the parent service — one of `/allDom` |
| `renewalDate` | string (date-time) | read-only | Date when the domain name should be renewed (relevant if renewalState is automatic_renew) |
| `renewalState` | domain.RenewalStateEnum | read-only | Current renewal state of the domain name — one of `automatic_renew`, `cancellation_complete`, `cancellation_requested`, `manual_renew`, `unpaid` |
| `serviceId` | integer | read-only | Technical service identifier |
| `state` | domain.DomainStateEnum | read-only | Current state of the domain name — one of `autorenew_in_progress`, `autorenew_registry_in_progress`, `deleted`, `dispute`, `expired`, `ok`, `outgoing_transfer`, `pending_create`, `pending_delete`, `pending_incoming_transfer`, `pending_installation`, `registry_suspended`, … |
| `suspensionState` | domain.SuspensionStateEnum | read-only | Current suspension state of the domain name — one of `not_suspended`, `suspended` |
| `transferLockStatus` | domain.LockStatusEnum |  | Current transfer lock status of the domain name — one of `locked`, `locking`, `unavailable`, `unlocked`, `unlocking` |
| `whoisOwner` | string | read-only | Owner (registrant) contact ID (contact data can be edited via /me/contact/<ID>) |

```json
{
  "nameServerType": "anycast",
  "transferLockStatus": "locked"
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | domain.DomainService | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `contactAdmin` | domain.ContactSummary | read-only | Administrative contact data |
| `contactAdmin.id` | string | read-only | Unique contact identifier (contact data can be edited via /me/contact/<ID>) |
| `contactBilling` | domain.ContactSummary | read-only | Billing contact data |
| `contactBilling.id` | string | read-only | Unique contact identifier (contact data can be edited via /me/contact/<ID>) |
| `contactOwner` | domain.ContactSummary | read-only | Owner (registrant) contact data |
| `contactOwner.id` | string | read-only | Unique contact identifier (contact data can be edited via /me/contact/<ID>) |
| `contactTech` | domain.ContactSummary | read-only | Technical contact data |
| `contactTech.id` | string | read-only | Unique contact identifier (contact data can be edited via /me/contact/<ID>) |
| `dnssecState` | domain.DnssecStateEnum | read-only | Current DNSSEC state of the domain name — one of `disabled`, `enabled`, `not_supported` |
| `dnssecSupported` | boolean | read-only | Whether DNSSEC is activated for this domain name |
| `domain` | string | read-only | Domain name |
| `expirationDate` | string (date-time) | read-only | Date when the domain name will expire, if not renewed |
| `glueRecordIpv6Supported` | boolean | read-only | Whether the registry supports IPv6 glue records |
| `glueRecordMultiIpSupported` | boolean | read-only | Whether the registry supports multi-ip glue records |
| `hostSupported` | boolean | read-only | Whether the registry supports hosts as independent entities |
| `lastUpdate` | string (date-time) | read-only | Last update date |
| `nameServerType` | domain.nameServer.NameServerTypeEnum |  | Name servers type — one of `anycast`, `dedicated`, `empty`, `external`, `hold`, `hosted`, `hosting`, `mixed`, `parking` |
| `nameServers` | domain.nameServer.NameServer[] | read-only | Name servers list |
| `nameServers[].id` | integer | read-only | ID of the name server |
| `nameServers[].ipv4` | ipv4 | read-only | IPv4 adress of the name server |
| `nameServers[].ipv6` | ipv6 | read-only | IPv6 adress of the name server |
| `nameServers[].nameServer` | string | read-only | Name of the name server |
| `nameServers[].nameServerType` | domain.nameServer.NameServerTypeEnum | read-only | Type of the name server — one of `anycast`, `dedicated`, `empty`, `external`, `hold`, `hosted`, `hosting`, `mixed`, `parking` |
| `offer` | domain.OfferEnum | read-only | Offer associated with the domain name — one of `diamond`, `gold`, `platinum` |
| `owoSupported` | boolean | read-only | Whether Whois data obfuscation is supported for this domain name |
| `parentService` | domain.ParentService | read-only | Parent service |
| `parentService.name` | string | read-only | Name of the parent service |
| `parentService.type` | domain.ParentServiceTypeEnum | read-only | Type of the parent service — one of `/allDom` |
| `renewalDate` | string (date-time) | read-only | Date when the domain name should be renewed (relevant if renewalState is automatic_renew) |
| `renewalState` | domain.RenewalStateEnum | read-only | Current renewal state of the domain name — one of `automatic_renew`, `cancellation_complete`, `cancellation_requested`, `manual_renew`, `unpaid` |
| `serviceId` | integer | read-only | Technical service identifier |
| `state` | domain.DomainStateEnum | read-only | Current state of the domain name — one of `autorenew_in_progress`, `autorenew_registry_in_progress`, `deleted`, `dispute`, `expired`, `ok`, `outgoing_transfer`, `pending_create`, `pending_delete`, `pending_incoming_transfer`, `pending_installation`, `registry_suspended`, … |
| `suspensionState` | domain.SuspensionStateEnum | read-only | Current suspension state of the domain name — one of `not_suspended`, `suspended` |
| `transferLockStatus` | domain.LockStatusEnum |  | Current transfer lock status of the domain name — one of `locked`, `locking`, `unavailable`, `unlocked`, `unlocking` |
| `whoisOwner` | string | read-only | Owner (registrant) contact ID (contact data can be edited via /me/contact/<ID>) |

```json
{
  "contactAdmin": {
    "id": "string"
  },
  "contactBilling": {
    "id": "string"
  },
  "contactOwner": {
    "id": "string"
  },
  "contactTech": {
    "id": "string"
  },
  "dnssecState": "disabled",
  "dnssecSupported": true,
  "domain": "string",
  "expirationDate": "2024-01-01T12:00:00Z",
  "glueRecordIpv6Supported": true,
  "glueRecordMultiIpSupported": true,
  "hostSupported": true,
  "lastUpdate": "2024-01-01T12:00:00Z",
  "nameServerType": "anycast",
  "nameServers": [
    {
      "id": 0,
      "ipv4": "192.0.2.0",
      "ipv6": "2001:41d0:1:1994::1",
      "nameServer": "string",
      "nameServerType": "anycast"
    }
  ],
  "offer": "diamond",
  "owoSupported": true,
  "parentService": {
    "name": "string",
    "type": "/allDom"
  },
  "renewalDate": "2024-01-01T12:00:00Z",
  "renewalState": "automatic_renew",
  "serviceId": 0,
  "state": "autorenew_in_progress",
  "suspensionState": "not_suspended",
  "transferLockStatus": "locked",
  "whoisOwner": "string"
}
```

### Example

```bash
curl -X PUT \
  "https://api.eu.ovhcloud.com/1.0/domain/{serviceName}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: domain.DomainService
result = client.put("/domain/{serviceName}",
	nameServerType = None, # Name servers type (type: domain.nameServer.NameServerTypeEnum)
	transferLockStatus = None, # Current transfer lock status of the domain name (type: domain.LockStatusEnum)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: domain.DomainService
$result = $ovh->put("/domain/{serviceName}", array(
	nameServerType => null, // Name servers type (type: domain.nameServer.NameServerTypeEnum)
	transferLockStatus => null, // Current transfer lock status of the domain name (type: domain.LockStatusEnum)
));

print_r($result);
?>
```

## Get service information

`GET /1.0/domain/{serviceName}/serviceInfos`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/#get-domain-servicename-serviceinfos

**Status:** Stable production version  
**IAM actions:** `domain:apiovh:serviceInfos/get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | services.Service | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `canDeleteAtExpiration` | boolean | read-only | Indicates that the service can be set up to be deleted at expiration |
| `contactAdmin` | string | read-only |  |
| `contactBilling` | string | read-only |  |
| `contactTech` | string | read-only |  |
| `creation` | string (date) | read-only |  |
| `domain` | string | read-only |  |
| `engagedUpTo` | string (date) | read-only |  |
| `expiration` | string (date) | read-only |  |
| `possibleRenewPeriod` | integer[] | read-only | All the possible renew period of your service in month |
| `renew` | service.RenewType |  | Way of handling the renew |
| `renew.automatic` | boolean |  | The service is automatically renewed |
| `renew.deleteAtExpiration` | boolean |  | The service will be deleted at expiration |
| `renew.forced` | boolean |  | The service forced to be renewed |
| `renew.manualPayment` | boolean |  | The service needs to be manually renewed and paid |
| `renew.period` | integer |  | period of renew in month |
| `renewalType` | service.RenewalTypeEnum | read-only | Detailed renewal type of a service — one of `automaticForcedProduct`, `automaticV2012`, `automaticV2014`, `automaticV2016`, `automaticV2024`, `manual`, `oneShot`, `option` |
| `serviceId` | integer | read-only |  |
| `status` | service.StateEnum | read-only | one of `autorenewInProgress`, `expired`, `inCreation`, `ok`, `pendingDebt`, `unPaid` |

```json
{
  "canDeleteAtExpiration": true,
  "contactAdmin": "string",
  "contactBilling": "string",
  "contactTech": "string",
  "creation": "2024-01-01",
  "domain": "string",
  "engagedUpTo": "2024-01-01",
  "expiration": "2024-01-01",
  "possibleRenewPeriod": [
    0
  ],
  "renew": {
    "automatic": true,
    "deleteAtExpiration": true,
    "forced": true,
    "manualPayment": true,
    "period": 0
  },
  "renewalType": "automaticForcedProduct",
  "serviceId": 0,
  "status": "autorenewInProgress"
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/serviceInfos" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/domain/{serviceName}/serviceInfos")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/domain/{serviceName}/serviceInfos");

print_r($result);
?>
```

## Update service information

`PUT /1.0/domain/{serviceName}/serviceInfos`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/#put-domain-servicename-serviceinfos

**Status:** Stable production version  
**IAM actions:** `domain:apiovh:serviceInfos/edit`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Request body (required)

Type: `services.Service`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `canDeleteAtExpiration` | boolean | read-only | Indicates that the service can be set up to be deleted at expiration |
| `contactAdmin` | string | read-only |  |
| `contactBilling` | string | read-only |  |
| `contactTech` | string | read-only |  |
| `creation` | string (date) | read-only |  |
| `domain` | string | read-only |  |
| `engagedUpTo` | string (date) | read-only |  |
| `expiration` | string (date) | read-only |  |
| `possibleRenewPeriod` | integer[] | read-only | All the possible renew period of your service in month |
| `renew` | service.RenewType |  | Way of handling the renew |
| `renew.automatic` | boolean |  | The service is automatically renewed |
| `renew.deleteAtExpiration` | boolean |  | The service will be deleted at expiration |
| `renew.forced` | boolean |  | The service forced to be renewed |
| `renew.manualPayment` | boolean |  | The service needs to be manually renewed and paid |
| `renew.period` | integer |  | period of renew in month |
| `renewalType` | service.RenewalTypeEnum | read-only | Detailed renewal type of a service — one of `automaticForcedProduct`, `automaticV2012`, `automaticV2014`, `automaticV2016`, `automaticV2024`, `manual`, `oneShot`, `option` |
| `serviceId` | integer | read-only |  |
| `status` | service.StateEnum | read-only | one of `autorenewInProgress`, `expired`, `inCreation`, `ok`, `pendingDebt`, `unPaid` |

```json
{
  "renew": {
    "automatic": true,
    "deleteAtExpiration": true,
    "forced": true,
    "manualPayment": true,
    "period": 0
  }
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | — | successful operation |

### Example

```bash
curl -X PUT \
  "https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/serviceInfos" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: services.Service
result = client.put("/domain/{serviceName}/serviceInfos",
	renew = None, # Way of handling the renew (type: service.RenewType, nullable)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: services.Service
$result = $ovh->put("/domain/{serviceName}/serviceInfos", array(
	renew => null, // Way of handling the renew (type: service.RenewType, nullable)
));

print_r($result);
?>
```

## List of current name servers

`GET /1.0/domain/{serviceName}/nameServer`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/#get-domain-servicename-nameserver

**Status:** Stable production version  
**IAM actions:** `domain:apiovh:nameServer/get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | integer[] | successful operation |

```json
[
  0
]
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/nameServer" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/domain/{serviceName}/nameServer")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/domain/{serviceName}/nameServer");

print_r($result);
?>
```

## Get this name server configuration

`GET /1.0/domain/{serviceName}/nameServer/{id}`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/#get-domain-servicename-nameserver-id

**Status:** Stable production version  
**IAM actions:** `domain:apiovh:nameServer/get`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | integer | yes | Id |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | domain.nameServer.FullNameServer | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `host` | string | read-only | Host of the name server |
| `id` | integer | read-only | ID of the name server |
| `ip` | ip | read-only | IP address of the name server |
| `isUsed` | boolean | read-only | isUsed flag of the name server |
| `toDelete` | boolean | read-only | toDelete flag of the name server |

```json
{
  "host": "string",
  "id": 0,
  "ip": "192.0.2.0",
  "isUsed": true,
  "toDelete": true
}
```

### Example

```bash
curl -X GET \
  "https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/nameServer/{id}" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN"
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

result = client.get("/domain/{serviceName}/nameServer/{id}")

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

$result = $ovh->get("/domain/{serviceName}/nameServer/{id}");

print_r($result);
?>
```

## Add new name server

`POST /1.0/domain/{serviceName}/nameServer`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/#post-domain-servicename-nameserver

**Status:** Stable production version  
**IAM actions:** `domain:apiovh:nameServer/create`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `serviceName` | path | string | yes | Service name |

### Request body (required)

Type: `domain.nameServer.CreatePayload`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `nameServer` | domain.nameServer.NameServerInput[] | yes | Name servers to create |
| `nameServer[].host` | string |  | Host |
| `nameServer[].ip` | ip |  | IP address |

```json
{
  "nameServer": [
    {
      "host": "string",
      "ip": "192.0.2.0"
    }
  ]
}
```

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | domain.Task | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `canAccelerate` | boolean | read-only | Can accelerate the task |
| `canCancel` | boolean | read-only | Can cancel the task |
| `canRelaunch` | boolean | read-only | Can relaunch the task |
| `comment` | string | read-only | Comment about the task |
| `creationDate` | string (date-time) | read-only | Creation date of the task |
| `domain` | string | read-only | Domain of the task |
| `doneDate` | string (date-time) | read-only | Done date of the task |
| `function` | string | read-only | Function of the task |
| `id` | integer | read-only | Id of the task |
| `lastUpdate` | string (date-time) | read-only | Last update date of the task |
| `status` | domain.OperationStatusEnum | read-only | Status of the task — one of `cancelled`, `doing`, `done`, `error`, `todo` |
| `todoDate` | string (date-time) | read-only | Todo date of the task |
| `type` | domain.OperationTypeEnum | read-only | type of the task — one of `alldom`, `domain` |

```json
{
  "canAccelerate": true,
  "canCancel": true,
  "canRelaunch": true,
  "comment": "string",
  "creationDate": "2024-01-01T12:00:00Z",
  "domain": "string",
  "doneDate": "2024-01-01T12:00:00Z",
  "function": "string",
  "id": 0,
  "lastUpdate": "2024-01-01T12:00:00Z",
  "status": "cancelled",
  "todoDate": "2024-01-01T12:00:00Z",
  "type": "alldom"
}
```

### Example

```bash
curl -X POST \
  "https://api.eu.ovhcloud.com/1.0/domain/{serviceName}/nameServer" \
  -H "accept: application/json" \
  -H "authorization: Bearer $OVH_TOKEN" \
  -H "content-type: application/json" \
  -d '{ }'
```

```python
'''
First, install the latest release of Python wrapper: $ pip install ovh
'''
import json
import ovh

# Instantiate an OVH Client.
# You can generate new credentials with full access to your account on
# the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
client = ovh.Client(
	endpoint='ovh-eu',               # Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
	application_key='xxxxxxxxxx',    # Application Key
	application_secret='xxxxxxxxxx', # Application Secret
	consumer_key='xxxxxxxxxx',       # Consumer Key
)

# Request body type: domain.nameServer.CreatePayload
result = client.post("/domain/{serviceName}/nameServer",
	nameServer = None, # Name servers to create (type: array)
)

# Pretty print
print(json.dumps(result, indent=4))
```

```php
<?php
/**
 * First, download the latest release of PHP wrapper on github
 * And include this script into the folder with extracted files
 */
require __DIR__ . '/vendor/autoload.php';
use \Ovh\Api;

/**
 * Instantiate an OVH Client.
 * You can generate new credentials with full access to your account on
 * the token creation page (https://api.ovh.com/createToken/index.cgi?GET=/*&PUT=/*&POST=/*&DELETE=/*)
 */
$ovh = new Api('xxxxxxxxxx',  // Application Key
               'xxxxxxxxxx',  // Application Secret
               'ovh-eu',      // Endpoint of API OVH (List of available endpoints: https://github.com/ovh/python-ovh#2-configure-your-application)
               'xxxxxxxxxx'); // Consumer Key

// Request body type: domain.nameServer.CreatePayload
$result = $ovh->post("/domain/{serviceName}/nameServer", array(
	nameServer => null, // Name servers to create (type: array)
));

print_r($result);
?>
```

## Delete a name server

`DELETE /1.0/domain/{serviceName}/nameServer/{id}`

Link: https://developers.eu.ovhcloud.com/reference/web-cloud/domains/#delete-domain-servicename-nameserver-id

**Status:** Stable production version  
**IAM actions:** `domain:apiovh:nameServer/delete`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | integer | yes | Id |
| `serviceName` | path | string | yes | Service name |

### Responses

| Status | Type | Description |
| --- | --- | --- |
| 200 | domain.Task | successful operation |

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `canAccelerate` | boolean | read-only | Can accelerate the task |
| `canCancel` | boolean | read-only | Can cancel the task |
| `canRelaunch` | boolean | read-only | Can relaunch the task |
| `comment` | string | read-only | Comment about the task |
| `creationDate` | string (date-time) | read-only | Creation date of the task |
| `domain` | string | read-only | Domain of the task |
| `doneDate` | string (date-time) | read-only | Done date of the task |
| `function` | string | read-only | Function of the task |
| `id` | integer | read-only | Id of the task |
| `lastUpdate` | string (date-time) | read-only | Last update date of the task |
| `status` | domain.OperationStatusEnum | read-only | Status of the task — one of `cancelled`, `doing`, `done`, `error`, `todo` |
| `todoDate` | string (date-time) | read-only | Todo date of the task |
| `type` | domain.OperationTypeEnum | read-only | type of the task — one of `alldom`, `domain` |

```json
{
  "canAccelerate": true,
  "canCancel": true,
  "canRelaunch": true,
  "comment": "string",
  "creationDate": "2024-01-01T12:00:00Z",
  "domain": "string",
  "doneDate": "2024-01-01T12:00:00Z",
  "function": "string",
[...]
